Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Default_Endpoint_Selector_Factory.h File Reference

`#include "ace/Service_Config.h"`
`#include "tao/Endpoint_Selector_Factory.h"`

Include dependency graph for Default_Endpoint_Selector_Factory.h:

This graph shows which files directly or indirectly include this file:

## Classes
class | TAO_Default_Endpoint_Selector_Factory
| Factory for initializing <endpoint_selection_state> and obtaining appropriate <invocation_endpoint_selector>. More...

## Detailed Description

Id
  Default_Endpoint_Selector_Factory.h,v 1.6 2005/11/02 07:13:02 ossama Exp

Strategies for selecting profile/endpoint from an IOR for making an invocation.

Author:
  Marina Spivak <marina@cs.wustl.edu>

  Frank Hunleth <fhunleth@cs.wustl.edu>